missing raring version string "13.04" in ./.disk/info

Bug #1174791 reported by Nobuto Murata on 2013-04-30
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
live-build (Ubuntu)
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

[IMPACT]
missing version string in ./.disk/info causes an error in usb-creator:
ValueError: Invalid version string '"Raring"',
then it fails to create a usb startup disk.

[Test Case]
 1. create an raring image with -proposed package
 2. confirm that ./.disk/info in the built image contains the string "13.04" like:
      Ubuntu 13.04 "Raring" - Build i386 LIVE Binary 20130430-06:50
 3. confirm that usb-creator-gtk can create an usb startup disk with the built image

[Regression Potential]
minimal
 - metadata update
 - adding a missing case, no regression for existing cases

[Other Info]
Debian already fixed it at 4.0~a12-1/experimental.

-- original description --

.disk/info in a built image of raring does not have version string "13.04" like:
Ubuntu "Raring" - Build i386 LIVE Binary 20130430-06:50

expected content is like:
Ubuntu 13.04 "Raring" - Build i386 LIVE Binary 20130430-06:50

ubuntu-defaults-builder using live-build is also affected.

Missing version number is invalid for usb-creator and cause an error, then failed to create usb startup disk.

====
usb-creator 2013-05-01 00:00:44,056 (ERROR) install.py:160: Exception raised:
Traceback (most recent call last):
<snip>
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line 119, in __setattr__
    self._set_full_version(str(value))
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line 98, in _set_full_version
    raise ValueError("Invalid version string %r" % version)
ValueError: Invalid version string '"Raring"'
usb-creator 2013-05-01 00:00:44,058 (CRITICAL) install.py:99: An uncaught exception was raised:
Invalid version string '"Raring"'
usb-creator 2013-05-01 00:00:44,058 (ERROR) frontend.py:724: Installation failed.
Traceback (most recent call last):
<snip>
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line 119, in __setattr__
    self._set_full_version(str(value))
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line 98, in _set_full_version
    raise ValueError("Invalid version string %r" % version)
ValueError: Invalid version string '"Raring"'

ProblemType: BugDistroRelease: Ubuntu 13.04
Package: live-build 3.0~a57-1ubuntu6
ProcVersionSignature: User Name 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
NonfreeKernelModules: coretemp kvm_intel kvm rfcomm bnep bluetooth snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec i2400m_usb uvcvideo i2400m wimax videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iwldvm mac_hid mac80211 iwlwifi fujitsu_laptop lpc_ich cfg80211 mei rtsx_pci_ms memstick rtsx_pci_sdmmc r8169 i915 rtsx_pci i2c_algo_bit drm_kms_helper drm
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Tue Apr 30 14:47:43 2013
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=screen-bce
 PATH=(custom, no user)
 LANG=ja_JP.UTF-8
 SHELL=/bin/bashSourcePackage: live-build
UpgradeStatus: No upgrade log present (probably fresh install)

Nobuto Murata (nobuto) wrote :
Changed in live-build (Ubuntu):
assignee: nobody → Nobuto MURATA (nobuto)
status: New → In Progress
Nobuto Murata (nobuto) on 2013-04-30
description: updated
Nobuto Murata (nobuto) wrote :

debdiff for saucy

Nobuto Murata (nobuto) wrote :

sru debdiff for raring

Changed in live-build (Ubuntu):
assignee: Nobuto MURATA (nobuto) → nobody
status: In Progress → New
Changed in live-build (Ubuntu):
importance: Undecided → Medium
Sebastien Bacher (seb128) wrote :

Thanks for your work

Changed in live-build (Ubuntu):
status: New → Fix Committed
Changed in live-build (Ubuntu Raring):
importance: Undecided → Medium
status: New → In Progress
Sebastien Bacher (seb128) wrote :

I've uploaded to saucy and raring, the SRU needs to be approved by the SRU team next

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package live-build - 3.0~a57-1ubuntu7

---------------
live-build (3.0~a57-1ubuntu7) saucy; urgency=low

  * add release version for ubuntu raring to fix a failure of
    creating an usb startup disk with usb-creator (LP: #1174791)
 -- Nobuto MURATA <email address hidden> Wed, 01 May 2013 01:07:26 +0900

Changed in live-build (Ubuntu):
status: Fix Committed → Fix Released

Hello Nobuto, or anyone else affected,

Accepted live-build into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/live-build/3.0~a57-1ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in live-build (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for raring for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Id2ndR (id2ndr) wrote :

From a live-cd (ubuntu-fr 13.04 32bit), I tried latest package from proposed and still get the error. It failed to create the usb drive.

Start-Date: 2013-10-12 11:58:45
Commandline: aptdaemon role='role-commit-packages' sender=':1.81'
Upgrade: bamfdaemon:i386 (0.4.0daily13.04.03-0ubuntu1, 0.4.0daily13.06.19~13.04-0ubuntu1), apt-transport-https:i386 (0.9.7.7ubuntu4, 0.9.7.7ubuntu6), libcurl3-gnutls:i386 (7.29.0-1ubuntu3, 7.29.0-1ubuntu3.2), usb-creator-gtk:i386 (0.2.47, 0.2.47.1), usb-creator-common:i386 (0.2.47, 0.2.47.1), tzdata:i386 (2013b-1ubuntu1, 2013g-0ubuntu0.13.04), libbamf3-1:i386 (0.4.0daily13.04.03-0ubuntu1, 0.4.0daily13.06.19~13.04-0ubuntu1)
End-Date: 2013-10-12 11:58:54

Start-Date: 2013-10-12 12:08:09
Commandline: apt-get install live-build
Install: debootstrap:i386 (1.0.46ubuntu1, automatic), live-build:i386 (3.0~a57-1ubuntu6.1)
End-Date: 2013-10-12 12:08:11

Rolf Leggewie (r0lf) wrote :

raring has seen the end of its life and is no longer receiving any updates. Marking the raring task for this ticket as "Won't Fix".

Changed in live-build (Ubuntu Raring):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers